Package org.eclipse.m2m.atl.adt.ui.actions

## Class ToggleCommentAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.ui.texteditor.ResourceAction
        - - org.eclipse.ui.texteditor.TextEditorAction
          - - org.eclipse.m2m.atl.adt.ui.actions.ToggleCommentAction

All Implemented Interfaces:
  `org.eclipse.jface.action.IAction`, `org.eclipse.ui.IActionDelegate`, `org.eclipse.ui.IEditorActionDelegate`, `org.eclipse.ui.texteditor.IUpdate`

    public final class ToggleCommentAction
    extends org.eclipse.ui.texteditor.TextEditorAction
    implements org.eclipse.ui.IEditorActionDelegate

An action which toggles comment prefixes on the selected lines.

Since:
  3.0

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
`ToggleCommentAction()`
`ToggleCommentAction​(java.util.ResourceBundle bundle, java.lang.String prefix, org.eclipse.ui.texteditor.ITextEditor editor)` Creates and initializes the action for the given text editor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `configure​(org.eclipse.jface.text.source.ISourceViewer sourceViewer, org.eclipse.jface.text.source.SourceViewerConfiguration configuration)`
`void` `run()` Implementation of the `IAction` prototype.
`void` `run​(org.eclipse.jface.action.IAction action)`
`void` `selectionChanged​(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)`
`void` `setActiveEditor​(org.eclipse.jface.action.IAction action, org.eclipse.ui.IEditorPart targetEditor)`
`void` `setEditor​(org.eclipse.ui.texteditor.ITextEditor editor)`
`void` `update()` Implementation of the `IUpdate` prototype method discovers the operation through the current editor's `ITextOperationTarget` adapter, and sets the enabled state accordingly.

### Methods inherited from class org.eclipse.ui.texteditor.TextEditorAction

`canModifyEditor, getTextEditor, validateEditorInputState`

### Methods inherited from class org.eclipse.ui.texteditor.ResourceAction

`getString, initialize, setHelpContextId`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ToggleCommentAction

    public ToggleCommentAction​(java.util.ResourceBundle bundle,
                               java.lang.String prefix,
                               org.eclipse.ui.texteditor.ITextEditor editor)

Creates and initializes the action for the given text editor. The action configures its visual representation from the given resource bundle.

Parameters:
  `bundle` - the resource bundle
  `prefix` - a prefix to be prepended to the various resource keys (described in `ResourceAction` constructor), or `null` if none
  `editor` - the text editor
See Also:
  `ResourceAction(ResourceBundle, String, int)`

#### ToggleCommentAction

    public ToggleCommentAction()

### Method Detail

#### run

    public void run()

Implementation of the `IAction` prototype. Checks if the selected lines are all commented or not and uncomments/comments them respectively.

Specified by:
  `run` in interface `org.eclipse.jface.action.IAction`
Overrides:
  `run` in class `org.eclipse.jface.action.Action`

#### update

    public void update()

Implementation of the `IUpdate` prototype method discovers the operation through the current editor's `ITextOperationTarget` adapter, and sets the enabled state accordingly.

Specified by:
  `update` in interface `org.eclipse.ui.texteditor.IUpdate`
Overrides:
  `update` in class `org.eclipse.ui.texteditor.TextEditorAction`

#### setEditor

    public void setEditor​(org.eclipse.ui.texteditor.ITextEditor editor)

Overrides:
  `setEditor` in class `org.eclipse.ui.texteditor.TextEditorAction`
See Also:
  `TextEditorAction.setEditor(org.eclipse.ui.texteditor.ITextEditor)`

#### configure

    public void configure​(org.eclipse.jface.text.source.ISourceViewer sourceViewer,
                          org.eclipse.jface.text.source.SourceViewerConfiguration configuration)

#### run

    public void run​(org.eclipse.jface.action.IAction action)

Specified by:
  `run` in interface `org.eclipse.ui.IActionDelegate`

#### selectionChanged

    public void selectionChanged​(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

Specified by:
  `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`

#### setActiveEditor

    public void setActiveEditor​(org.eclipse.jface.action.IAction action,
                                org.eclipse.ui.IEditorPart targetEditor)

Specified by:
  `setActiveEditor` in interface `org.eclipse.ui.IEditorActionDelegate`